import java.awt.*;
import java.applet.*;

/**
    A simple face drawing applet
    For assignment 3 2000.
    @author Vincent Wing Hei, Ho
    @version 14.03.2000
*/
public class A3 extends Applet {
    /** 
        Paints a simple face.
        By changing the SIZE constant the face is correctly 
        drawn at a different size
        @param g the graphics object
    */
    public void paint (Graphics g) {
        final int SIZE=10;
        int x1, x2, y1, y2;
        int width, height;
        final int X_POS_REF = 2; //For easier positioning during construction
        final int Y_POS_REF = 3; //For easier positioning during construction

        //face
        width = 18;
        height = 20;
        x1 = X_POS_REF;
        y1 = Y_POS_REF;
        g.setColor(Color.orange);
        g.fillOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);
        g.setColor(Color.black);
        g.drawOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);

        //left eye outline
        width = 4;
        height = 4;
        x1 = X_POS_REF + 4;
        y1 = Y_POS_REF + 4;
        g.setColor(Color.white);
        g.fillOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);
        g.setColor(Color.black);
        g.drawOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);
        
        //left eye ball
        width = 2;
        height = 2;
        x1 += width / 2;
        y1 += height / 2;
        g.setColor(Color.blue);
        g.fillOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);

        //right eye outline
        width = 4;
        height = 4;
        x1 = X_POS_REF + 10;
        y1 = Y_POS_REF + 4;
        g.setColor(Color.white);
        g.fillOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);
        g.setColor(Color.black);
        g.drawOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);
        
        //right eye ball
        width = 2;
        height = 2;
        x1 += width / 2;
        y1 += height / 2;
        g.setColor(Color.blue);
        g.fillOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);

        //nose
        x1 = (X_POS_REF + 9) * SIZE;
        y1 = (Y_POS_REF + 8) * SIZE;
        x2 = x1 - SIZE * 2;
        y2 = y1 + SIZE * 5;
        g.setColor(Color.black);
        g.drawLine(x1, y1, x2, y2);
        y1 = y2 - SIZE;
        g.drawLine(x2, y2, x1, y1);

        // mouth
        width = 8;
        height = 3;
        x1 = X_POS_REF + 5;
        y1 = Y_POS_REF + 13;
        g.setColor(Color.red);
        g.drawOval(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);
        width = 10;
        height = 2;
        g.setColor(Color.orange);
        g.fillRect(x1 * SIZE, y1 * SIZE, SIZE * width, SIZE * height);

    }
}